### Constructor

# Gsk.CrossFadeNode.new

#### Declaration [src]

    GskRenderNode*
    gsk_cross_fade_node_new (
      GskRenderNode* start,
      GskRenderNode* end,
      float progress
    )

#### Description [src]

Creates a `GskRenderNode` that will do a cross-fade between `start` and `end`.

#### Parameters

`start` | `GskRenderNode`
| The start node to be drawn
| Ownership is not transferred to the callee
`end` | `GskRenderNode`
| The node to be cross_fadeed onto the `start` node
| Ownership is not transferred to the callee
`progress` | `float`
| How far the fade has progressed from start to end. The value will be clamped to the range [0 … 1]

#### Return value

Returns: `GskCrossFadeNode`
A new `GskRenderNode`
Ownership of the data is transferred to the caller